[Previous] [Next] [Contents]

## `COMP::Compo2Conjugate` -- conjugates a composition

#### Call(s)

`COMP::Compo2Conjugate(compo)`

#### Parameters

`compo` | - | any list denoting a composition

#### Introduction

The `COMP::Compo2Conjugate` function calculates the conjugate (or transposed) of a composition `comp`. Geometrically, a composition is represented by a ribbon (i.e. a skew diagram of width 1) and conjugation amounts to reflect the diagram with respect to the main diagonal.

#### Example 1

    >> muEC::COMP::Compo2Conjugate( [1,4,1,1,2,2] );

                                [1, 2, 4, 1, 1, 2]

#### Related Functions

`ListCompo`, `TYP::IsCompo`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package